Package gov.nasa.gsfc.sscweb.schema

# Class SurfaceGeographicCoordinates

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Coordinates
gov.nasa.gsfc.sscweb.schema.SurfaceGeographicCoordinates

Direct Known Subclasses:
  `AltitudeGeographicCoordinates`, `RadiusGeographicCoordinates`

public class SurfaceGeographicCoordinates extends Coordinates
Surface (altitude implicitly surface) Geographic Coordinates. <p>Java class for SurfaceGeographicCoordinates complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SurfaceGeographicCoordinates"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Coordinates"> <sequence> <element name="Latitude" type="{http://sscweb.gsfc.nasa.gov/schema}Latitude"/> <element name="Longitude" type="{http://sscweb.gsfc.nasa.gov/schema}Longitude"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected double`
  `latitude`
  `protected double`
  `longitude`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SurfaceGeographicCoordinates()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getLatitude()`
  Gets the value of the latitude property.
  `double`
  `getLongitude()`
  Gets the value of the longitude property.
  `void`
  `setLatitude(double value)`
  Sets the value of the latitude property.
  `void`
  `setLongitude(double value)`
  Sets the value of the longitude property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### latitude

    protected double latitude

  - ### longitude

    protected double longitude

- ## Constructor Details

  - ### SurfaceGeographicCoordinates

    public SurfaceGeographicCoordinates()

- ## Method Details

  - ### getLatitude

    public double getLatitude()
    Gets the value of the latitude property.

  - ### setLatitude

    public void setLatitude(double value)
    Sets the value of the latitude property.

  - ### getLongitude

    public double getLongitude()
    Gets the value of the longitude property.

  - ### setLongitude

    public void setLongitude(double value)
    Sets the value of the longitude property.